<template>
  <div class="ob-order__logist">
    <div class="ob-order__logist-row">
      <div class="ob-order__logist-section">
        <span class="ob-order__logist-label">Заказчик</span>
      </div>
      <div class="ob-order__logist-section">
        <i :class="['icon', $options.iconsMap[client.role]]"></i>
        <span class="ob-order__logist-value">
          {{ client.title }}
        </span>
      </div>
    </div>

    <div v-if="clientContact" class="ob-order__logist-row">
      <div class="ob-order__logist-section">
        <span class="ob-order__logist-label">Контактное лицо</span>
      </div>
      <div class="ob-order__logist-section">
        <i class="icon visitcard"></i>
        <span class="ob-order__logist-value">
          {{ clientContact.firstname }}
          {{ clientContact.lastname }}
        </span>
      </div>
    </div>

    <div
      v-if="contractor"
      class="ob-order__logist-row"
    >
      <div class="ob-order__logist-section">
        <span class="ob-order__logist-label">Исполнитель</span>
      </div>
      <div class="ob-order__logist-section">
        <i
          :class="[
            'icon', $options.iconsMap[contractor.role]]"
        ></i>
        <span class="ob-order__logist-value">
          {{ contractor.title }}
        </span>
      </div>
    </div>

    <div
      v-if="logist"
      class="ob-order__logist-row"
    >
      <div class="ob-order__logist-section">
        <span class="ob-order__logist-label">Ответственный логист</span>
      </div>
      <div class="ob-order__logist-section">
        <obTooltip :content="logist.email">
          <i class="icon visitcard"></i>
        </obTooltip>
        <span class="ob-order__logist-value">
          {{ logist.firstname }}
          {{ logist.lastname }}
        </span>
      </div>
    </div>
  </div>
</template>

<script>
  import obTooltip from 'common-components/src/obComponents/obTooltip';

  export default {
    name: 'logistInfo',

    components: {
      obTooltip
    },

    props: {
      client: {
        type: Object,
        required: true
      },

      clientContact: {
        type: Object
      },

      contractor: {
        type: Object,
        required: true
      },

      logist: {
        type: Object,
        required: true
      }
    },

    iconsMap: {
      'CLIENT': 'role-client',
      'CLICAR': 'role-domain-owner',
      'CARRIER': 'role-agent',
      'MODERATOR': 'role-system-moderator'
    },
  }
</script>

<style lang="scss" scoped>
.ob-order__logist {
  padding: 27px 30px 8px;
  border-bottom: 1px solid $color-grey-border;
}

.ob-order__logist-row {
  margin-bottom: 14px;

  .icon {
    color: #004bc8;
  }
}

.ob-order__logist-section {
  margin-top: -5px;
  display: flex;
  align-items: center;
}

.ob-order__logist-label {
  margin: 2px 0;
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.4px;
  color: $gray-slate;
  mix-blend-mode: normal;
}

.ob-order__logist-value {
  margin: 0 5px;
  font-family: Roboto, sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  letter-spacing: 0.2px;
  color: $gray-slate;
}
</style>